Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1484850 (CVE-2017-12978) - CVE-2017-12978 cacti: cross-site scripting vulnerability in lib/html.php
Summary: CVE-2017-12978 cacti: cross-site scripting vulnerability in lib/html.php
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12978
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1484851 1484852
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 12:16 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
2 users (show)

Fixed In Version: cacti 1.1.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:22:14 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-24 12:16:39 UTC
lib/html.php in Cacti before 1.1.18 has XSS via the title field of an
external link added by an authenticated user.

Upstream bug:

https://github.com/Cacti/cacti/issues/918

Upstream patch:

https://github.com/Cacti/cacti/commit/9c610a7a4e29595dcaf7d7082134e4b89619ea24

Comment 1 Adam Mariš 2017-08-24 12:17:40 UTC
Created cacti tracking bugs for this issue:

Affects: epel-all [bug 1484852]
Affects: fedora-all [bug 1484851]

Comment 2 Product Security DevOps Team 2019-06-08 03:22:14 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.